/* 
 * File:   myPic.h
 * Author: Daniel Hankewycz
 *
 * Created on May 3, 2013, 1:04 AM
 */

#ifndef MYPIC_H
#define	MYPIC_H

typedef unsigned char int8;
typedef unsigned int  int16;
typedef unsigned long int32;

#define	TRIS_RX1_PIN		TRISCbits.TRISC7
#define	ANSEL_RX1_PIN		ANSELCbits.ANSC7
#define TRIS_RED_PIN            TRISAbits.TRISA3
#define TRIS_GREEN_PIN          TRISAbits.TRISA4
#define TRIS_BLUE_PIN           TRISAbits.TRISA5
#define TRIS_UP_PIN             TRISBbits.TRISB3
#define TRIS_DOWN_PIN           TRISBbits.TRISB4
#define TRIS_LEFT_PIN           TRISBbits.TRISB0
#define TRIS_RIGHT_PIN          TRISBbits.TRISB1
#define TRIS_SELECT_PIN         TRISBbits.TRISB2
#define RED_PORT                PORTAbits.RA3
#define GREEN_PORT              PORTAbits.RA4
#define BLUE_PORT               PORTAbits.RA5
#define UP_PORT                 PORTBbits.RB3
#define DOWN_PORT               PORTBbits.RB4
#define LEFT_PORT               PORTBbits.RB0
#define RIGHT_PORT              PORTBbits.RB1
#define SELECT_PORT             PORTBbits.RB2
#define ANALOG	1
#define DIGITAL	0
#define OUTPUT	0
#define INPUT	1
#define TRUE    1
#define FALSE   0

#define MAX_STRING_LENGTH		120
#define MAX_RMC_MESSAGE_LENGTH	80
#define SCRATCH_STRING_LENGTH	64

#define USART1	TRUE

extern char longitude[12], latitude[12], heading[12], velocity[12], time[12], date[12], string[SCRATCH_STRING_LENGTH];
extern int8 gpsLock;

#define CLEAN_TOUR	TRUE
#define ERROR_TOUR	FALSE
#define NOLOCK_TOUR	FALSE

extern rom const int16 sim_length;
extern rom const char sim_name[20];
#if CLEAN_TOUR
	#define CLEAN_SIZE 347
	extern rom const char sim[CLEAN_SIZE][72];
#elif ERROR_TOUR
	extern rom const char sim[46][80];
#elif NOLOCK_TOUR
	extern rom const char sim[6][80];
#endif

#if USART1
	#define TERM_FLAG	PIR1bits.RC1IF
	#define	TERM_SRC	RCREG1
#else
	#define TERM_FLAG	PIR3bits.RC2IF
	#define	TERM_SRC	RCREG2
#endif

#endif // MYPIC_H
