/*
*********************************************************************************************************
*
*                                           RDKRL78 SPI driver
*                                     
*                                           Renesas RL78
*                                               on the
*                                     YRDKRL78G13 Evaluation Board
*
* Filename      : rdkrl78_spi.h
* Version       : V1.00
*********************************************************************************************************
*/

#ifndef _RDKRL78_SPI_H
#define _RDKRL78_SPI_H

/*
*********************************************************************************************************
*                                        DEFINES
*********************************************************************************************************
*/
#define SPI_LCD     0
#define SPI_SD      1
#define SPI_PMOD1   2
#define SPI_PMOD2   3


/*
*********************************************************************************************************
*                                         FUNCTION PROTOTYPES
*********************************************************************************************************
*/
void SPI_Init();
void SPI_Send(uint8_t aDevice, uint8_t *aData, uint32_t aLength);
void SPI_Receive(uint8_t aDevice, uint8_t *aData, uint32_t aLength);
void SPI_SendReceive(uint8_t aDevice, uint8_t *aTXData, uint32_t aTXLength, uint8_t *aRXData, uint32_t aRXLength);

#endif // _RDKRL78_SPI_H