// calibration.h
#ifndef _CALIBRATION_H
#define _CALIBRATION_H

#define CALIBRATION_ADDRESS_START 0x0

#define COMPASS_NORTH_CORRECTION  0

typedef struct
{
  const unsigned char address_h;                     /* MS part of write address */
  const unsigned char address_l;                     /* LS part of write address */
  signed short calibrationX;
  signed short calibrationY;
}CalibrationData;

void calibrateCompass();
CalibrationData *readCalibrationData();             /* reads values from eeprom and returns it */

extern CalibrationData calibrationData;             /* make it available to the ouside world */

#endif  // _CALIBRATION_H