// monitor.h
#ifndef _MONITOR_H
#define _MONITOR_H


#define PI 3.1415926535897932384626433832795
#define DOUBLE_PI 6.283185307179586476925286766559
#define N180_DIV_PI 57.295779513082320876798154814105
#define NPI_DIV_180 0.01745329251994329576923690768489

#define RAD2DEG(x) ((x) * (N180_DIV_PI))
#define DEG2RAD(x) ((x) * (NPI_DIV_180))



typedef struct 
{
    unsigned char Sec;
    unsigned char Min;
    unsigned char Hour;
    unsigned char Day;
    unsigned char Week;
    unsigned char Month;
    unsigned short Year;
}DateTime;



extern void  App_MonitorTask (void  *p_arg);
extern OS_TCB    App_MonitorTaskTCB; 
extern CPU_STK   App_MonitorTaskStk[APP_CFG_TASK_MONITOR_STK_SIZE];
extern OS_Q      MonitorQueue;
extern unsigned char timeStamp[];
extern unsigned char logBuffer[];
extern DateTime dateTime;


void SendMessage(unsigned char cmd, unsigned char *data);

#endif // _MONITOR_H

